Bug 512079 - Review Request: oflb-prociono-fonts - A serif font created by Barry Schwartz
Summary: Review Request: oflb-prociono-fonts - A serif font created by Barry Schwartz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 08:12 UTC by Ankur Sinha (FranciscoD)
Modified: 2009-10-27 06:48 UTC (History)
4 users (show)

Fixed In Version: 20090715-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 06:37:50 UTC
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2009-07-16 08:12:35 UTC
Spec URL: http://ankursinha.fedorapeople.org/prociono/oflb-prociono-fonts.spec

SRPM URL: http://ankursinha.fedorapeople.org/prociono/oflb-prociono-fonts-20090715-1.fc10.src.rpm

Description: 
A text roman with standard and discretionary ligatures, class-based 
kerning, and a very few alternates. 

Version 2.2 differs from the previous version mainly in having 
better hinting.

The name is pronounced "pro-tsee-O-no" and is Esperanto for 
either "raccoon" or the star Procyon. The author prefers to 
think of this font as a raccoon.


rest of mock build results are here :

http://ankursinha.fedorapeople.org/prociono/

Somethings I'm confused about:

- the fontconf prio
- "public domain" as license.
- rpmlint gives a warning which I cant tackle: 
oflb-prociono-fonts.src: W: uncompressed-zip chemoelectric_-_Prociono.zip

Comment 1 Ankur Sinha (FranciscoD) 2009-07-16 08:18:14 UTC
hi,

Also,

- There is no version info in the zip (the desc on the site gives 2.2 though) so ive used the timestamp of the sfd he put up.

regards,

Ankur

Comment 2 Nicolas Mailhot 2009-09-14 20:23:05 UTC
When you have any licensing doubt just block FE-LEGAL and let spot sort it

Comment 3 Nicolas Mailhot 2009-09-14 20:37:13 UTC
Review:

1. please do not put changelog-like info in a package description (what's new in the latest version). The description is supposed to be stable over time so l10 does not struggle with it

2. attribution to Barry Shwartz is better done in the description than in the summary

3. the rest of the spec mostly follows the standard template and thus is ok

4. the fontconfig rule is ok too, and the prio seems sane

5. oflb-prociono-fonts.src: W: uncompressed-zip chemoelectric_-_Prociono.zip 
is not your problem, that just means upstream forgot to compress its zip, so it wastes space

So the technical part of package is good, just clear your licensing doubts with Spot and I'll approve it all

(sorry I was not available in august to look at this fine package)

Comment 5 Nicolas Mailhot 2009-09-30 21:24:20 UTC
This one is good. Just need spot to chime in now

Comment 6 Tom "spot" Callaway 2009-09-30 21:27:26 UTC
Public Domain declaration in the license looks fine. Lifting FE-Legal.

Comment 7 Nicolas Mailhot 2009-09-30 21:34:05 UTC
Therefore, this package is now

ⴕⴕⴕ APPROVED ⴕⴕⴕ

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging another font in Fedora

Comment 8 Ankur Sinha (FranciscoD) 2009-10-01 04:58:50 UTC
New Package CVS Request
=======================
Package Name: oflb-prociono-fonts
Short Description: A text roman with standard and discretionary ligatures, class-based kerning
Owners: ankursinha
Branches: F-10 F-11
InitialCC: fonts-sig

Comment 9 Kevin Fenzi 2009-10-03 21:30:21 UTC
cvs done with F-12 added.

Comment 10 Fedora Update System 2009-10-04 04:25:49 UTC
oflb-prociono-fonts-20090715-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oflb-prociono-fonts-20090715-2.fc11

Comment 11 Fedora Update System 2009-10-04 04:26:34 UTC
oflb-prociono-fonts-20090715-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/oflb-prociono-fonts-20090715-2.fc10

Comment 12 Fedora Update System 2009-10-04 05:17:14 UTC
oflb-prociono-fonts-20090715-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/oflb-prociono-fonts-20090715-2.fc12

Comment 13 Fedora Update System 2009-10-06 10:00:10 UTC
oflb-prociono-fonts-20090715-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oflb-prociono-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10250

Comment 14 Fedora Update System 2009-10-06 10:06:13 UTC
oflb-prociono-fonts-20090715-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oflb-prociono-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10273

Comment 15 Fedora Update System 2009-10-27 06:37:43 UTC
oflb-prociono-fonts-20090715-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-10-27 06:48:33 UTC
oflb-prociono-fonts-20090715-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.